Name:           newspost
Version:        2.1.1
Release:        1%{?dist}
Summary:        Binary Usenet Poster
Group:          Applications/Internet
License:        GPLv2+
URL:            http://newspost.unixcab.org/index.html
Source0:        http://newspost.unixcab.org/download/newspost-%{version}.tar.gz
# Make sure we use the correct types on all archs (should be submittable
# upstream):
Patch0:         newspost-2.1.1-usestdtypes.diff
# Force the makefile to respect DESTDIR when installing. Possibly
# submittable upstream, though I also turned off stripping binaries which
# they may not like.
Patch1:         newspost-2.1.1-respect-DESTDIR.diff
# This fixes MANDIR to be in DATADIR (compliant to the FHS). Probably
# submittable upstream, if it wasn't dead.
Patch2:         newspost-2.1.1-correct-MANDIR.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Newspost is a usenet binary autoposter for Unix.  It is meant to be an
all-in-one posting solution. Using newspost, it is a one command job to
encode and post as many files as you like to your favorite newsgroup.

In addition to posting files, Newspost will automatically create and
post .sfv checksum files. Newspost 2.0 can create .par parity volumes,
and supports both yencoding and uuencoding.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0


%build
make %{?_smp_mflags} OPT_FLAGS="%{optflags}" PREFIX=%{_prefix}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING CHANGES README
%{_bindir}/newspost
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Jul 2 2009 Conrad Meyer <konrad@tylerc.org> - 2.1.1-1
- Initial package.
